## org.eclipse.uml2.common.util
Interface UML2Util.Converter

All Known Implementing Classes:
  UMLUtil.Ecore2UMLConverter, UMLUtil.Profile2EPackageConverter, UMLUtil.UML2EcoreConverter

Enclosing class:
  UML2Util

    public static interface UML2Util.Converter

An interface for classes that can convert objects to another representation.

Method Summary

`java.util.Collection<? extends org.eclipse.emf.ecore.EObject>`

`convert(java.util.Collection<? extends org.eclipse.emf.ecore.EObject> eObjects, java.util.Map<java.lang.String,java.lang.String> options, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
Converts the specified objects using the specified options, reporting problems to the specified diagnostics, within the specified context.

Method Detail

### convert

    java.util.Collection<? extends org.eclipse.emf.ecore.EObject> convert(java.util.Collection<? extends org.eclipse.emf.ecore.EObject> eObjects,
                                                                          java.util.Map<java.lang.String,java.lang.String> options,
                                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                          java.util.Map<java.lang.Object,java.lang.Object> context)

  Converts the specified objects using the specified options, reporting problems to the specified diagnostics, within the specified context.

  Parameters:
    `eObjects` - The objects to be converted.
    `options` - The options to use.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.
  Returns:
    Another representation of the objects.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.